cmake_minimum_required(VERSION 3.4.3)
project(hell-llvm-download)

include(ExternalProject)

ExternalProject_Add(llvm-download
  URL               http://releases.llvm.org/8.0.0/llvm-8.0.0.src.tar.xz
  SOURCE_DIR        "${CMAKE_BINARY_DIR}/llvm-src"
  CONFIGURE_COMMAND ""
  BUILD_COMMAND     ""
  INSTALL_COMMAND   ""
  TEST_COMMAND      ""
)

if(WITH_HELL_LLVM_CLANG)
  ExternalProject_Add(clang-download
    DEPENDS           llvm-download
    URL               http://releases.llvm.org/8.0.0/cfe-8.0.0.src.tar.xz
    SOURCE_DIR        "${CMAKE_BINARY_DIR}/llvm-src/tools/clang"
    CONFIGURE_COMMAND ""
    BUILD_COMMAND     ""
    INSTALL_COMMAND   ""
    TEST_COMMAND      ""
  )
endif()
